> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app by ID

> Returns an `App` object.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /apps/{app_id}
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /apps/{app_id}:
    get:
      tags:
        - apps
      summary: Get app by ID
      description: Returns an `App` object.
      operationId: getApp
      parameters:
        - description: The ID of the app.
          example: 32acc112-21ff-4669-91c2-21e27683eaa1
          explode: true
          in: path
          name: app_id
          required: true
          schema:
            type: string
            format: uuid
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/App'
          description: The requested `App`.
      security:
        - BearerAuth: []
components:
  schemas:
    App:
      description: |-
        # App Object
        ### Description
        The `App` object is used to represent an app to an application.

        ### Usage Example
        List from the `GET Apps` endpoint.
      example:
        app_id: f454d283-ca87-4a8a-bdbb-df212eca5353
        name: Okta Org
        description: Okta directory for the engineering team.
        admin_owner_id: 7c86c85d-0651-43e2-a748-d69d658418e8
        app_type: OKTA_DIRECTORY
      properties:
        app_id:
          description: The ID of the app.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
        name:
          description: The name of the app.
          example: Okta Org
          type: string
        description:
          description: A description of the app.
          example: Okta directory for the engineering team.
          type: string
        admin_owner_id:
          description: The ID of the owner of the app.
          example: 7c86c85d-0651-43e2-a748-d69d658418e8
          format: uuid
          type: string
        app_type:
          $ref: '#/components/schemas/AppTypeEnum'
        validations:
          description: Validation checks of an apps' configuration and permissions.
          items:
            $ref: '#/components/schemas/AppValidation'
          type: array
      required:
        - app_id
        - name
        - description
        - admin_owner_id
        - app_type
      type: object
    AppTypeEnum:
      description: The type of an app.
      enum:
        - ACTIVE_DIRECTORY
        - ANTHROPIC
        - AZURE_AD
        - AWS
        - AWS_SSO
        - COUPA
        - CURSOR
        - CUSTOM
        - CUSTOM_CONNECTOR
        - DATABRICKS
        - DATASTAX_ASTRA
        - DUO
        - GCP
        - GIT_HUB
        - GIT_LAB
        - GOOGLE_GROUPS
        - GOOGLE_WORKSPACE
        - ILEVEL
        - INCIDENTIO
        - LDAP
        - MARIADB
        - MONGO
        - MONGO_ATLAS
        - MYSQL
        - NETSUITE
        - DATADOG
        - OKTA_DIRECTORY
        - OPENAI_PLATFORM
        - OPAL
        - PAGERDUTY
        - SALESFORCE
        - SNOWFLAKE
        - TAILSCALE
        - TELEPORT
        - TWINGATE
        - WORKDAY
      example: OKTA_DIRECTORY
      type: string
    AppValidation:
      description: >-
        # App validation object

        ### Description

        The `AppValidation` object is used to represent a validation check of an
        apps' configuration and permissions.


        ### Usage Example

        List from the `GET Apps` endpoint.
      example:
        key: iam:GetRole
        name: Opal's service account is missing the 'iam:GetRole' permission.
        usage_reason: Opal uses the 'iam:GetRole' permissions to view access to resources.
        details: >-
          403 Google API Error. Service account is not authorized to access role
          assignments.
        severity: HIGH
        status: FAILED
        updated_at: '2021-01-06T20:00:00.000Z'
      properties:
        key:
          description: >-
            The key of the app validation. These are not unique IDs between
            runs.
          example: iam:GetUser
          type: string
        name:
          description: >-
            The human-readable description of whether the validation has the
            permissions.
          example: Opal's service account is missing the 'iam:GetUser' description.
        usage_reason:
          description: The reason for needing the validation.
          example: Opal uses the 'iam:GetUser' permission to import users.
          type: string
        details:
          description: >-
            Extra details regarding the validation. Could be an error message or
            restrictions on permissions.
          example: >-
            403 Google API Error. Service account is not authorized to access
            role assignments.
          type: string
        severity:
          $ref: '#/components/schemas/AppValidationSeverityEnum'
        status:
          $ref: '#/components/schemas/AppValidationStatusEnum'
        updated_at:
          description: The date and time the app validation was last run.
          example: '2021-01-06T20:00:00.000Z'
          format: date-time
          type: string
      required:
        - key
        - name
        - status
        - severity
        - updated_at
    AppValidationSeverityEnum:
      description: The severity of an app validation.
      enum:
        - CRITICAL
        - HIGH
        - MEDIUM
        - LOW
      example: CRITICAL
      type: string
    AppValidationStatusEnum:
      description: The status of an app validation.
      enum:
        - SUCCESS
        - FAILED
      example: FAILED
      type: string
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````